SAP Oracle Application-Free Restores
Use this API to restore data obtained through a backup
- application/json
Request Body
taskInfo object
associations object[]
clientName string requiredSAP Oracle Client name
instanceName string requiredSAP Oracle Instance name
appName string requiredDefault value:
SAP for OracleentityInfo object
companyId integercompanyName stringDefault value:
CommcellmultiCommcellId integertask object
taskType string requiredPossible values: [IMMEDIATE, SCHEDULE]
initiatedFrom integerDefault value:
2subTasks object[]
subTask object
subTaskType stringDefault value:
RESTOREoperationType stringDefault value:
RESTOREoptions object
restoreOptions object
browseOption object
commCellId integerDefault value:
2timeRange object required
Browse time range
fromTime integertoTime integerdestination object required
destClient object required
Client details for restore
clientId integer requiredClient ID
clientName string requiredDestination client name where DATA will be restore
selected booleanDefault value:
truehidden booleanDefault value:
falsedestPath string requiredDestination Full path where you want to restore data
fileOption object required
sourceItem string[] required2:Backup jobID
commonOptions object required
restoreToDisk boolean requiredDefault value:
trueindexFreeRestore boolean requiredDefault value:
truejobIds integer[] requiredBackup JobId
commonOpts object
notifyUserOnJobCompletion booleanDefault value:
trueprePostOpts object
preRecoveryCommand stringpostRecoveryCommand stringrunPostWhenFail booleanDefault value:
false
Responses
- 200
- 400
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- taskId integer
Task ID
- jobIds string[]
Restore Job ID
{
"taskId": 0,
"jobIds": [
"string"
]
}
{
"taskId": 293241,
"jobIds": [
"356605"
]
}
Bad Request
- application/json
- Schema
- Example 1
Schema
- string
Request body is empty or format is invalid
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Access Denied",
"errorCode": 5
}
Loading...